%define name    tilda
%define version 0.09.3
%define release %mkrel 2

%define section System/Terminals
%define title   Tilda
%define longtitle Tilda - Drop Down Terminal for Linux


Summary:        %{longtitle}
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Terminals
Url:            http://tilda.sourceforge.net/ 
Source:         http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

BuildRequires:  pkgconfig
BuildRequires:  vte-devel
BuildRequires:  confuse-devel

Requires:       vte
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description

Tilda is a Linux terminal taking after the likeness 
of many classic terminals from first person shooter
games, Quake, Doom and Half-Life to name a few,
where the terminal has no border and is hidden from 
the desktop till a key or keys is hit.


%prep
%setup -q -n %{name}-%version

%build


%configure2_5x --disable-rpath

%make



%install
rm -rf $RPM_BUILD_ROOT


%makeinstall

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name="%{title}"
Comment="%{summary}"
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=TerminalEmulator;X-MandrivaLinux-System-Terminals;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/tilda
%{_datadir}/applications/mandriva-tilda.desktop


%changelog
* Tue Mar 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.09.3-2mdv2007.1
+ Revision: 149278
- buildrequires vte-devel
  buildrequires confuse-devel

  + Jérôme Soyer <saispo@mandriva.org>
    - Import tilda



* Thu Jul 20 2006 Jerome Soyer <saispo@mandriva.org> 0.09.3-1mdv2007.0
- New release 0.09.3

* Thu Jun 29 2006 Jerome Soyer <saispo@mandriva.org> 0.09.2-1mdv2007.0
- New release 0.09.2
- XDG Menu

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.09-1mdk
- First Mandriva package for Frendh dbutant Mailing list
